[SCM] live-boot branch, debian-next, updated. debian/3.0_a14-1-6-g2f4baa7

Michal Suchanek hramrach at centrum.cz
Sat Feb 12 19:53:02 UTC 2011


The following commit has been merged in the debian-next branch:
commit 2f4baa77b849d5b1bf1e32758e8062e953d59cd1
Author: Michal Suchanek <hramrach at centrum.cz>
Date:   Sat Feb 12 19:07:31 2011 +0100

    Add verbose messages to initramfs hook.

diff --git a/hooks/live b/hooks/live
index f68800d..309c26f 100755
--- a/hooks/live
+++ b/hooks/live
@@ -22,6 +22,8 @@ esac
 
 . /usr/share/initramfs-tools/hook-functions
 
+[ "${QUIET}" ] || echo -n live-boot:
+
 # live-boot hook
 
 # Reading configuration file from filesystem
@@ -40,6 +42,7 @@ fi
 
 # Handling live-boot
 
+[ "${QUIET}" ] || echo -n " "core
 # Configuration
 if [ -e /usr/share/live-boot/languagelist ]
 then
@@ -85,6 +88,7 @@ fi
 
 # Handling other stuff
 
+[ "${QUIET}" ] || echo -n " "filesystems
 # Configuration: keymap (usefull when using encryption)
 if [ -x /bin/loadkeys ] && [ -r /etc/console/boottime.kmap.gz ]
 then
@@ -149,6 +153,7 @@ manual_add_modules vfat
 # Filesystem: ntfs
 manual_add_modules ntfs
 
+[ "${QUIET}" ] || echo -n " "devices
 # Hardware: cdrom
 manual_add_modules ide-cd
 manual_add_modules ide-generic
@@ -168,12 +173,14 @@ then
 	copy_exec /usr/bin/eject /bin
 fi
 
+[ "${QUIET}" ] || echo -n " "utils
 # Program: md5sum
 copy_exec /usr/bin/md5sum /bin
 
 # Program: memdisk
 if [ -x /usr/bin/memdiskfind ]
 then
+[ "${QUIET}" ] || echo -n :memdisk
 	copy_exec /usr/bin/memdiskfind
 	manual_add_modules phram
 	manual_add_modules mtdblock
@@ -191,22 +198,26 @@ copy_exec /bin/cpio /bin
 # Program: udev
 if [ -x /sbin/udevadm ]
 then
+	[ "${QUIET}" ] || echo -n " "udev
 	copy_exec /sbin/udevadm /sbin
 fi
 if [ -x /usr/bin/udevinfo ]
 then
+	[ "${QUIET}" ] || echo -n " "udev
 	copy_exec /usr/bin/udevinfo /bin
 fi
 
 # Program: wget
 if [ -x /usr/bin/wget ]
 then
+	[ "${QUIET}" ] || echo -n " "wget
 	copy_exec /usr/bin/wget /bin
 fi
 
 # Program: blockdev
 if [ -x /sbin/blockdev ]
 then
+	[ "${QUIET}" ] || echo -n " "blockdev
 	copy_exec /sbin/blockdev /sbin
 fi
 
@@ -216,29 +227,34 @@ manual_add_modules fuse
 # FUSE filesystem: httpfs2
 if [ -x /usr/bin/httpfs2_ssl ]
 then
+	[ "${QUIET}" ] || echo -n " "httpfs:ssl
 	copy_exec /usr/bin/httpfs2_ssl /bin/httpfs
 elif [ -x /usr/bin/httpfs2 ]
 then
+	[ "${QUIET}" ] || echo -n " "httpfs
 	copy_exec /usr/bin/httpfs2 /bin/httpfs
 fi
 
 # FUSE filesystem: curlftpfs
 if [ -x /usr/bin/curlftpfs ]
 then
+	[ "${QUIET}" ] || echo -n " "ftpfs
 	copy_exec /usr/bin/curlftpfs /bin
 fi
 
 # iSCSI
 if [ -x /usr/sbin/iscsistart ]
 then
-    copy_exec /usr/sbin/iscsistart /bin
-    #manual_add_modules ib_iser
-    manual_add_modules iscsi_tcp
-    manual_add_modules crc32c
+	[ "${QUIET}" ] || echo -n " "iscsi
+	copy_exec /usr/sbin/iscsistart /bin
+	#manual_add_modules ib_iser
+	manual_add_modules iscsi_tcp
+	manual_add_modules crc32c
 fi
 
 if [ "${LIVE_DNS}" = "true" ]
 then
+	[ "${QUIET}" ] || echo -n " "dns
 	#copy_exec /lib/libnss_files.so.*      /lib  # /etc/hosts and /etc/passwd
 	copy_exec /lib/libnss_dns.so.*      /lib  # DNS server
 	#copy_exec /lib/libnss_compat.so.*      /lib  # /etc/passwd
@@ -250,7 +266,10 @@ fi
 
 if [ "${LIVE_UNIONMOUNT}" = "true" ]
 then
+	[ "${QUIET}" ] || echo -n " "unionmount
 	# UnionMount
 	# only mount from patched util-linux can do this currently
 	copy_exec /bin/mount /bin/mount_full
 fi
+
+[ "${QUIET}" ] || echo .

-- 
live-boot



More information about the debian-live-changes mailing list